Loading...
Searching...
No Matches
casacore::TableRowProxy Class Reference
tables package (libcasa_tables) » Tables_module

More...

`#include <TableRowProxy.h>`

## Public Member Functions

| TableRowProxy ()
| Default constructor is only needed for the Block container.
| TableRowProxy (const TableProxy &table, const Vector< String > &columnNames, Bool exclude)
| Construct for the given columns in the table.
| TableRowProxy (const TableRowProxy &)
| Copy constructor (copy semantics).
| ~TableRowProxy ()
TableRowProxy & | operator= (const TableRowProxy &)
| Assignment (copy semantics).
Bool | isNull () const
| Test if the underlying TableRow object is invalid.
Bool | isWritable () const
| Test if values can be written.
Record | get (Int64 rownr) const
| Get values for the given row.
void | put (Int64 rownr, const Record &values, Bool matchingFields)
| Put values for the given row.

## Private Attributes

Bool | isWritable_p
ROTableRow | rorow_p
TableRow | rwrow_p

## Detailed Description

Proxy for table row access.

### Intended use:

Public interface

### Review Status

Reviewed By:
  Paul Shannon
Date Reviewed:
  1995/09/15
Test programs:
  tgtable.g

### Prerequisite

- class TableRow

### Etymology

TableRowProxy holds a TableRow object for the table glish client.

### Synopsis

TableRowProxy gives access to row-based table accessor functions. It is primarily meant to be used in classes that wrap access to it from scripting languages (like Glish and Python). However, it can also be used directly from other C++ code.

A TableRowProxy object is usually created by class TableProxy.

Definition at line 70 of file TableRowProxy.h.

## Constructor & Destructor Documentation

## TableRowProxy() [1/3]

casacore::TableRowProxy::TableRowProxy | ( |  | ) |

Default constructor is only needed for the Block container.

Referenced by operator=(), and TableRowProxy().

## TableRowProxy() [2/3]

casacore::TableRowProxy::TableRowProxy | ( | const TableProxy & | table,
|  | const Vector< String > & | columnNames,
|  | Bool | exclude )

Construct for the given columns in the table.

## TableRowProxy() [3/3]

casacore::TableRowProxy::TableRowProxy | ( | const TableRowProxy & |  | ) |

Copy constructor (copy semantics).

References TableRowProxy().

## ~TableRowProxy()

casacore::TableRowProxy::~TableRowProxy | ( |  | ) |

## Member Function Documentation

## get()

Record casacore::TableRowProxy::get | ( | Int64 | rownr | ) | const

Get values for the given row.

References casacore::Record().

## isNull()

Bool casacore::TableRowProxy::isNull | ( |  | ) | const

Test if the underlying TableRow object is invalid.

## isWritable()

Bool casacore::TableRowProxy::isWritable | ( |  | ) | const

inline

Test if values can be written.

Definition at line 108 of file TableRowProxy.h.

References isWritable_p.

## operator=()

TableRowProxy & casacore::TableRowProxy::operator= | ( | const TableRowProxy & |  | ) |

Assignment (copy semantics).

References TableRowProxy().

## put()

void casacore::TableRowProxy::put | ( | Int64 | rownr,
|  | const Record & | values,
|  | Bool | matchingFields )

Put values for the given row.

The given record has to conform the fields in the table row.

References casacore::Record().

## Member Data Documentation

## isWritable_p

Bool casacore::TableRowProxy::isWritable_p

private

Definition at line 102 of file TableRowProxy.h.

Referenced by isWritable().

## rorow_p

ROTableRow casacore::TableRowProxy::rorow_p

private

Definition at line 103 of file TableRowProxy.h.

## rwrow_p

TableRow casacore::TableRowProxy::rwrow_p

private

Definition at line 104 of file TableRowProxy.h.

The documentation for this class was generated from the following file:

- tables/Tables/TableRowProxy.h